## zita-dpl1 0.3.3

=== source/Makefile ===
# ----------------------------------------------------------------------------
#
#  Copyright (C) 2008-2018 Fons Adriaensen <fons@linuxaudio.org>
#    
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# ----------------------------------------------------------------------------


PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin
SHARED ?= $(PREFIX)/share/zita-dpl1

VERSION = 0.3.3
CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
CXXFLAGS += -O2 -Wall -ffast-math -pthread
CXXFLAGS += -march=native


all:	zita-dpl1


ZITA-DPL1_O = zita-dpl1.o styles.o jclient.o mainwin.o png2img.o guiclass.o \
	rotary.o dplimit1.o
zita-dpl1:	CPPFLAGS += $(shell pkgconf --cflags freetype2)
zita-dpl1:	LDLIBS += -lclxclient -lclthreads -ljack -lpng -lpthread \
	-lcairo -lXft -lX11 -lrt
zita-dpl1:	$(ZITA-DPL1_O) 
	$(CXX) $(LDFLAGS) -o $@ $(ZITA-DPL1_O) $(LDLIBS)
$(ZITA-DPL1_O):
-include $(ZITA-DPL1_O:%.o=%.d)



install:	all
	install -d $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(SHARED)
	install -m 755 zita-dpl1 $(DESTDIR)$(BINDIR)
	rm -rf $(DESTDIR)$(SHARED)/*
	install -m 644 ../share/* $(DESTDIR)$(SHARED)


uninstall:
	rm -f  $(DESTDIR)$(BINDIR)/zita-dpl1
	rm -rf $(DESTDIR)$(SHARED)


clean:
	/bin/rm -f *~ *.o *.a *.d *.so
	/bin/rm -f zita-dpl1

=== debian/changelog ===
zita-dpl1 (0.3.3-1) unstable; urgency=medium

  * Initial release (Closes: #651085).

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 15 Feb 2020 22:02:07 +0100

=== debian/control ===
Source: zita-dpl1
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Dennis Braun <d_braun@kabelmail.de>
Build-Depends:
 debhelper-compat (= 12),
 libcairo2-dev,
 libclthreads-dev (>= 2.4.0),
 libclxclient-dev (>= 3.9.0),
 libfreetype6-dev,
 libjack-dev,
 pkg-config
Rules-Requires-Root: no
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/multimedia-team/zita-dpl1.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/zita-dpl1
Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/zita-dpl1-doc/quickguide.html

Package: zita-dpl1
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: digital peak level limiter
 DPL1 is an look-ahead digital peak limiter, the kind you would use as the
 final step to avoid clipping when mastering or mixing. It can be used as
 an effect on individual instrument tracks as well.
 .
 Latency is 1.2 ms rounded up to the nearest multiple of 8, 16 or
 32 samples depending on sampling frequency. This amounts to 56 samples at
 44.1 kHz, 64 samples at 48 kHz, and twice those values for 88.2 or 96 kHz.
 .
 In most cases you only need -k number_of_channels, which can be 1 to 16.
 The same gain reduction is applied to all channels.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

include /usr/share/dpkg/buildtools.mk

export PKG_CONF=$(PKG_CONFIG)

export PREFIX=/usr

%:
	dh $@ -Dsource

=== debian/watch ===
version=4
https://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html \
	zita-dpl1-(.*)\.tar\.bz2
